Skip to main content
POST
Create a transaction

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

memberId
string
required

The id of the member, max length 36.

Maximum string length: 36

Query Parameters

accountType
string

The type of the account of the member.

Body

Operation details.

operationId
string
required

Unique identifier of the operation (should be the same only for retries of the same operation).

Required string length: 1 - 128
amount
number<double>
required

Amount to be reserved. Can be positive or negative. If the amount is positive, then the amount is added to the member's account. If the amount is negative, then the amount is subtracted from the member's account.

transactionType
string
required

Type of the transaction (like: FixedBonus, EmployeeBonus, ...).

Minimum string length: 1
instantCapture
boolean
required

Indicates whether a capture of the reservation is instantaneous.

metadata
object | null

Set of key-value pairs that you can attach to a transaction. This can be useful for storing additional information about the transaction in a structured format.

expirationDate
string<date-time> | null

Optional expiration date

autoCaptureDate
string<date-time> | null

Optional date of the automatic capture of the transaction This field should be sent with a value only if InstantCapture = false

Response

OK

transactionId
integer<int64>
required

Unique transaction id.

amount
number<double>
required

Amount which has been reserved or captured.

Last modified on August 10, 2026